package com.reptileclient.jlifeapp.entity.jz;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public class DyLaikeShopThreeRate {
    private Integer id;

    /**
     * 批次号
     */
    private Integer batchId;

    /**
     * 门店poi_id
     */
    private String shopPoiId;

    /**
     * 城市id
     */
    private Integer cityId;

    /**
     * 城市名称
     */
    private String cityName;

    /**
     * 开始日期
     */
    private String startDate;

    /**
     * 结束日期
     */
    private String endDate;

    /**
     * 加盟商id
     */
    private Integer fraId;

    /**
     * 加盟商名称
     */
    private String fraName;

    /**
     * 门店名
     */
    private String shopName;

    /**
     * 差评率
     */
    private BigDecimal badRate;

    /**
     * 投诉率
     */
    private BigDecimal complaintRate;

    /**
     * 退款率
     */
    private BigDecimal refundRate;

    /**
     * 抖音侧更新评价时间
     */
    private LocalDateTime evaUpdateTime;

    private LocalDateTime etlTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getBatchId() {
        return batchId;
    }

    public void setBatchId(Integer batchId) {
        this.batchId = batchId;
    }

    public String getShopPoiId() {
        return shopPoiId;
    }

    public void setShopPoiId(String shopPoiId) {
        this.shopPoiId = shopPoiId;
    }

    public Integer getCityId() {
        return cityId;
    }

    public void setCityId(Integer cityId) {
        this.cityId = cityId;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public Integer getFraId() {
        return fraId;
    }

    public void setFraId(Integer fraId) {
        this.fraId = fraId;
    }

    public String getFraName() {
        return fraName;
    }

    public void setFraName(String fraName) {
        this.fraName = fraName;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public BigDecimal getBadRate() {
        return badRate;
    }

    public void setBadRate(BigDecimal badRate) {
        this.badRate = badRate;
    }

    public BigDecimal getComplaintRate() {
        return complaintRate;
    }

    public void setComplaintRate(BigDecimal complaintRate) {
        this.complaintRate = complaintRate;
    }

    public BigDecimal getRefundRate() {
        return refundRate;
    }

    public void setRefundRate(BigDecimal refundRate) {
        this.refundRate = refundRate;
    }

    public LocalDateTime getEvaUpdateTime() {
        return evaUpdateTime;
    }

    public void setEvaUpdateTime(LocalDateTime evaUpdateTime) {
        this.evaUpdateTime = evaUpdateTime;
    }

    public LocalDateTime getEtlTime() {
        return etlTime;
    }

    public void setEtlTime(LocalDateTime etlTime) {
        this.etlTime = etlTime;
    }
}